libzypp 17.37.10

zypp::media::AttachPoint Class Reference

Attach point of a media source. More...

`#include <zypp/media/MediaSource.h>`

## Public Member Functions
| AttachPoint (Pathname _path=Pathname(), bool _temp=true)
bool | empty () const

## Public Attributes
Pathname | path
| The path name (mount point).
bool | temp
| If it was created temporary.

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const AttachPoint &obj)
| Stream output.

## Detailed Description

Attach point of a media source.

Definition at line 106 of file MediaSource.h.

## Constructor & Destructor Documentation

## ◆ AttachPoint()

zypp::media::AttachPoint::AttachPoint | ( | Pathname | _path = Pathname(),
|  | bool | _temp = true )
| inline

Definition at line 109 of file MediaSource.h.

## Member Function Documentation

## ◆ empty()

bool zypp::media::AttachPoint::empty | ( |  | ) | const
| inline

Definition at line 115 of file MediaSource.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const AttachPoint & | obj )
| related

Stream output.

Definition at line 18 of file MediaSource.cc.

## Member Data Documentation

## ◆ path

Pathname zypp::media::AttachPoint::path

The path name (mount point).

Definition at line 117 of file MediaSource.h.

## ◆ temp

bool zypp::media::AttachPoint::temp

If it was created temporary.

Definition at line 118 of file MediaSource.h.

The documentation for this class was generated from the following file:

- zypp/media/MediaSource.h